<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToUniversityCourse](./bitburner.sleeve.settouniversitycourse.md)

## Sleeve.setToUniversityCourse() method

Set a sleeve to take a class at a university.

<b>Signature:</b>

```typescript
setToUniversityCourse(sleeveNumber: number, university: string, className: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to start taking class. |
|  university | string | Name of the university to attend. |
|  className | string | Name of the class to follow. |

<b>Returns:</b>

boolean

True if this action was set successfully, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action was set successfully.

